BLKID(8)

BEZEICHNUNG
blkid - Blockgeräteattribute ermitteln/ausgeben

ÜBERSICHT
blkid -L Bezeichner | -U uuid blkid [-dghlv] [-c Datei] [-o Format] [-s Markierung]
[-t NAME=Wert] [Gerät …]
blkid -p [-O Versatz] [-o Format] [-S Größe] [-s Markierung]
[-n Liste] [-u Liste] Gerät …
blkid -i [-o Format] [-s Markierung] Gerät …

BESCHREIBUNG
Das Programm blkid ist eine Befehlszeilenschnittstelle zur Arbeit mit der Bibliothek libblkid(3). Es kann die Art des Inhalts (z.B. Dateisystem oder Swap) bestimmen, den ein Blockgerät enthält und auch die Attribute (Merkmale, NAME=Wert-Paare) aus den Metadaten des Inhalts (z.B. die Felder LABEL oder UUID).

Es wird empfohlen, den Befehl lsblk(8) statt blkid zu verwenden, um Informationen über Blockgeräte zu erhalten. lsblk(8) stellt mehr Informationen bereit, die Ausgabeformatierung kann besser eingestellt werden und es benötigt keine Root-Berechtigungen, um tatsächliche Informationen zu erlangen.

Falls Gerät festgelegt ist, werden nur die Merkmale dieses Geräts angezeigt. Es ist möglich, auf der Befehlszeile mehrere Argumente Gerät festzulegen. Falls keines angegeben ist, werden alle Geräte, die in /proc/partitions auftauchen, angezeigt, falls sie erkannt werden.

Beachten Sie, dass blkid Informationen direkt aus den Geräten ausliest und für alle Benutzer außer Root die ungeprüften zwischengespeicherten Informationen zurückliefert. Es ist besser, lsblk --fs zu verwenden, um einen benutzerfreundlichen Überblick über Dateisysteme und Geräte zu erhalten. lsblk(8) kann auch leicht in Skripten verwendet werden. blkid ist hauptsächlich für Systemdienste und für das Prüfen auf Funktionalitäten der Bibliothek libblkid gedacht.

blkid hat zwei Hauptbetriebsarten: Suche nach einem Gerät mit einem bestimmten NAME=Wert-Paar oder Anzeige von NAME=Wert-Paaren für ein oder mehrere Geräte.

OPTIONEN
Die Argumente Größe und Versatz können von multiplikativen Endungen wie KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB, EiB, ZiB und YiB (das »iB« ist optional, z.B. hat »K« die gleiche Bedeutung wie »KiB«) oder den Endungen KB (=1000), MB (=1000*1000) und so weiter für GB, TB, PB, EB, ZB und YB gefolgt werden.

-c Zwischenspeicherdatei
    liest aus Zwischenspeicherdatei statt aus der Standardzwischenspeicherdatei (siehe den Abschnitt KONFIGURATIONSDATEI für weitere Details). Falls Sie mit einem sauberen Zwischenspeicher beginnen möchten (d.h. keine Geräte berichtet werden sollen, die früher eingelesen wurden aber nicht notwendigerweise derzeit verfügbar sind), geben Sie /dev/null an.

-d  kodiert nicht druckbare Zeichen nicht. Standardmäßig werden die nicht druckbaren Zeichen durch die Notation ^ und M- kodiert. Beachten Sie, dass das Ausgabeformat -o udev eine andere Kodierung verwendet, die nicht deaktiviert werden kann.

-g  Führt einen Durchlauf der automatischen Speicherbereinigung (Garbage Collection) durch und entfernt Geräte, die nicht mehr existieren.

-h  zeigt einen Benutzungshinweis an und beendet das Programm.

-i  zeigt Informationen über E/A-Begrenzungen an (d.h. die E/A-Topologie). Das Ausgabeformat »export« wird automatisch aktiviert. Diese Option kann zusammen mit der Option -p verwandt werden.

-k  listet alle bekannten Dateisysteme und RAIDs auf und beendet das Programm.

-l  sucht nur nach Geräten, die auf das mit der Option -t angegebene Suchmuster passen. Falls mehrere Geräte auf den Suchparameter passen, wird das Gerät mit der höchsten Priorität zurückgeliefert oder das erste Gerät mit der angegebenen Priorität. Gerätetypen, in Reihenfolge absteigender Priorität: Device Mapper, EVMS, LVM, MD und schließlich reguläre Blockgeräte. Falls diese Option nicht angegeben ist, wird blkid alle Geräte, die auf das angegebene Suchmuster passen, ausgeben.

-L Bezeichner
    schlägt das Gerät nach, das diesen Dateisystem-Bezeichner verwendet. Dies ist mit -l -o device -t LABEL=Bezeichner identisch. Die Nachschlagemethode kann /dev/disk/by-label-udev-Symlinks zuverlässig verwenden (abhängig von einer Einstellung in /etc/blkid.conf). Vermeiden Sie die direkte Verwendung der Symlinks. Es ist nicht zuverlässig, die Symlinks ohne Prüfung zu verwenden. Die Option -L funktioniert auf Systemen mit und ohne Udev. Unglücklicherweise verwendet das ursprüngliche blkid(8) aus den E2fsprogs die Option -L als Synonym für -o list. Zur besseren Portabilität verwenden Sie -l -o device -t LABEL=Bezeichner und -o list statt der Option -L in Ihren Skripten.

-n Liste
    beschränkt die Prüffunktionen auf die (durch Kommata getrennten) angegebene Liste der Superblocktypen (Namen). Den Listeneinträgen kann »no« vorangestellt werden, um die Typen festzulegen, die ignoriert werden sollen. Beispielsweise prüft

      blkid -p -n vfat,ext3,ext4 /dev/sda1

    auf Vfat, Ext3- und Ext4-Dateisysteme und

      blkid -p -n nominix /dev/sda1

    prüft auf alle unterstützten Formate außer Minix-Dateisysteme. Diese Option ist nur mit -p zusammen sinnvoll.

-o Format
    verwendet das angegebene Ausgabeformat. Beachten Sie, dass die Reihenfolge der Variablen und Geräte nicht festgelegt ist. Siehe auch die Option -s. Folgende Werte kann der Parameter Format annehmen:

    full
        alle Markierungen ausgeben (Vorgabe)

    value
        den Wert der Markierungen ausgeben

    list
        gibt die Geräte in einem benutzerfreundlichen Format aus; dieses Ausgabeformat wird bei systemnaher Untersuchung (-p oder -i) nicht unterstützt. Dieses Ausgabeformat ist zugunsten des Befehls lsblk(8) VERALTET.

    device
        gibt nur die Gerätenamen aus; dieses Ausgabeformat wird für die Optionen -L und -U immer aktiviert.

    udev
        gibt Schlüssel="Wert"-Paare zum leichten Import in die Udev-Umgebung aus. Den Schlüsseln wird immer ID_FS_ oder ID_PART_ vorangestellt. Die Udev-Ausgabe liefert die ID_FS_AMBIVALENT-Markierung, falls weitere Superblöcke erkannt wurden. Außerdem werden für alle, auch leere Partitionen, ID_PART_ENTRY_*-Markierungen zurückgeliefert. Dieses Ausgabeformat ist VERALTET.

    export
        gibt Schlüssel=Wert-Paare zum leichten Import in die Umgebung aus; dieses Ausgabeformat wird immer aktiviert, wenn E/A-Begrenzungen (Option -i) angefordert werden. Die nichtdruckbaren Zeichen werden mit der Notation ^ und M- kodiert und alle möglicherweise unsicheren Zeichen werden maskiert.

-O Versatz
    untersucht an dem übergebenen Versatz (nur nützlich mit -p). Diese Option kann mit der Option -i zusammen verwandt werden.

-p  schaltet auf systemnahe Superblockuntersuchung um (unter Umgehung des Zwischenspeichers). Beachten Sie, dass systemnahe Untersuchungen auch Informationen über Partitionstabellenarten (PTTYPE-Markierung) und Partitionen (PART_ENTRY_*-Markierung) zurückliefern. Die Markierungsnamen, die von systemnaher Untersuchung zurückgeliefert werden, basieren auf den intern von libblkid benutzten Namen und können sich von dem unterscheiden, was beim Aufruf mit -p gemeldet wird (zum Beispiel PART_ENTRY_UUID= vs PARTUUID=).

-s Markierung
    zeigt für jedes (angegebene) Gerät nur die Markierungen, die auf Markierung passen, an. Es ist möglich, mehrere Optionen -s festzulegen. Falls keine Markierung festgelegt ist, dann werden alle Merkmale für alle (angegebenen) Geräte angezeigt. Um nur den Zwischenspeicher zu aktualisieren, ohne Merkmale anzuzeigen, verwenden Sie -s none ohne weitere Optionen.

-S Größe
    setzt die Größe des Geräts/der Datei außer Kraft (nur mit -p nützlich).

-t NAME=Wert
    sucht nach Blockgeräten mit Merkmalen namens NAME, die den Wert Wert haben und zeigt alle gefundenen Geräte an. Typische Werte für NAME sind u.A. TYPE, LABEL und UUID. Falls keine Geräte auf der Befehlszeile festgelegt sind werden alle Blockgeräte durchsucht; andernfalls werden nur die angegeben Geräte durchsucht.

-u Liste
    beschränkt die Untersuchungsfunktion auf die angegebene (Komma-getrennte) Liste der »Benutzungsarten«. Unterstützte Benutzungsarten sind: filesystem, raid, crypto und other. Den Listeneinträgen kann »no« vorangestellt werden, um die zu ignorierenden Benutzungsarten festzulegen. Beispielsweise untersucht

      blkid -p -u filesystem,other /dev/sda1

    auf alle Dateisysteme und andere (z.B. Swap-)Formate und

      blkid -p -u noraid /dev/sda1

    untersucht auf alle unterstützten Formate außer RAID. Diese Option ist nur im Zusammenspiel mit -p nützlich.

-U UUID
    schaut nach Geräten, die diese Dateisystem-UUID verwenden. Für weitere Details siehe die Option -L.

-V  zeigt die Versionsnummer an und beendet das Programm.

RÜCKGABEWERT
Falls das angegebene Gerät oder das durch das festgelegte Merkmal adressierte Gerät (Option -t) gefunden wurde und es möglich war, Informationen über das Gerät zu sammeln, wird ein Exit-Code 0 zurückgegeben. Beachten Sie, dass die Option -s die Ausgabemarkierungen filtert aber nicht den Rückgabewert beeinflusst. Falls das festgelegte Merkmal nicht gefunden wurde oder kein (festgelegtes) Gerät identifiziert wurde, wird ein Exit-Code 2 zurückgeliefert. Bei Benutzungs- oder anderen Fehlern wird ein Rückgabewert von 4 zurückgeliefert. Wenn die die systemnahe Untersuchung kein eindeutiges Ergebnis erbringt, wird 8 als Rückgabewert geliefert.

KONFIGURATIONSDATEI
Der Standardort der Konfigurationsdatei /etc/blkid.conf kann mit der Umgebungsvariablen BLKID_CONF außer Kraft gesetzt werden. Die folgenden Optionen steuern die Bibliothek libblkid:

SEND_UEVENT=<yes|not>
    Sende Uevent wenn der Symlink /dev/disk/by-{label,uuid,partuuid,partlabel}/ nicht auf LABEL, UUID, PARTUUID oder PARTLABEL auf dem Gerät passt. Vorgabe ist »yes«.

CACHE_FILE=<Pfad>
    Setzt den Standardort der Zwischenspeicherdatei außer Kraft. Diese Einstellung kann durch die Umgebungsvariable BLKID_FILE außer Kraft gesetzt werden. Vorgabe ist /run/blkid/blkid.tab oder /etc/blkid.tab auf Systemen ohne /run-Verzeichnis.

EVALUATE=<Methoden>
    Definiert die Evaluationsmethoden LABEL und UUID. Derzeit unterstützt Libblkid die Methoden »udev« und »scan«. In einer Kommata-getrennten Liste dürfen mehr als eine Methode festgelegt werden. Vorgabe ist »udev,scan«. Die Methode »udev« verwendet /dev/disk/by-*-Symlinks von Udev und die Methode »scan« prüft alle Belockgeräte aus der Datei /proc/partitions.

AUTOR
blkid wurde von Andreas Dilger für libblkid geschrieben und von Theodore Ts'o und Karel Zak verbessert.

UMGEBUNGSVARIABLEN

Setzen von LIBBLKID_DEBUG=all aktiviert die Fehlersuchausgabe.

SIEHE AUCH
libblkid(3), findfs(8), wipefs(8), lsblk(8),

VERFÜGBARKEIT
Der Befehl blkid ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.